<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref7.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::Encoding::scope - Synopsis::PTree::FunctionDefinition</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::Encoding::scope - Synopsis::PTree::FunctionDefinition</h1><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mscope" /><h2 >Data member Synopsis::PTree::Encoding::scope</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#200">Synopsis/PTree/Encoding.hh:200</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mshort_t" /><h2 >Data member Synopsis::PTree::Encoding::short_t</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#short_t" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#192">Synopsis/PTree/Encoding.hh:192</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_msigned_t" /><h2 >Data member Synopsis::PTree::Encoding::signed_t</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#signed_t" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#195">Synopsis/PTree/Encoding.hh:195</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_msimple_const_l_r" /><h2 >Member function Synopsis::PTree::Encoding::simple_const&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#simple_const_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#140">Synopsis/PTree/Encoding.hh:140</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_msimple_name_lconst.Atom_S_r" /><h2 >Member function Synopsis::PTree::Encoding::simple_name&#40;const Atom*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#simple_name_lconst.Atom_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#108">Synopsis/PTree/Encoding.hh:108</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_msimple_name_lconst.Node_S_r" /><h2 >Member function Synopsis::PTree::Encoding::simple_name&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#simple_name_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#142">Synopsis/PTree/Encoding.hh:142</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_msize_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::size&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#size_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#112">Synopsis/PTree/Encoding.hh:112</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#134">Synopsis/PTree/Encoding.hh:134</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_with_length_lconst.Encoding_A_r" >Synopsis::PTree::Encoding::append_with_length&#40;const Encoding&amp;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#176">Synopsis/PTree/Encoding.hh:176</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#is_global_scope_l_rconst" >Synopsis::PTree::Encoding::is_global_scope&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mstar" /><h2 >Data member Synopsis::PTree::Encoding::star</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#star" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#200">Synopsis/PTree/Encoding.hh:200</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mstart_func_args_l_r" /><h2 >Member function Synopsis::PTree::Encoding::start_func_args&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#start_func_args_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#154">Synopsis/PTree/Encoding.hh:154</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mtemplate__lconst.Node_S_cconst.Encoding_A_r" /><h2 >Member function Synopsis::PTree::Encoding::template_&#40;const Node*&#44;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#template__lconst.Node_S_cconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#144">Synopsis/PTree/Encoding.hh:144</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mtilder" /><h2 >Data member Synopsis::PTree::Encoding::tilder</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#tilder" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#200">Synopsis/PTree/Encoding.hh:200</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_munmangled_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::unmangled&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#unmangled_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#170">Synopsis/PTree/Encoding.hh:170</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_munsigned_t" /><h2 >Data member Synopsis::PTree::Encoding::unsigned_t</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#unsigned_t" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#195">Synopsis/PTree/Encoding.hh:195</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mvalue_temp_param_l_r" /><h2 >Member function Synopsis::PTree::Encoding::value_temp_param&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#value_temp_param_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#159">Synopsis/PTree/Encoding.hh:159</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mvoid__l_r" /><h2 >Member function Synopsis::PTree::Encoding::void_&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#void__l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#156">Synopsis/PTree/Encoding.hh:156</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mvoid_t" /><h2 >Data member Synopsis::PTree::Encoding::void_t</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#void_t" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#193">Synopsis/PTree/Encoding.hh:193</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mvolatile_t" /><h2 >Data member Synopsis::PTree::Encoding::volatile_t</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#volatile_t" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#195">Synopsis/PTree/Encoding.hh:195</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mwchar_t_t" /><h2 >Data member Synopsis::PTree::Encoding::wchar_t_t</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#wchar_t_t" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#192">Synopsis/PTree/Encoding.hh:192</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEnumSpec" /><h2 >Class Synopsis::PTree::EnumSpec</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/EnumSpec.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#213">Synopsis/PTree/Lists.hh:213</a>: in class <a href="../Scopes/Synopsis/PTree/EnumSpec.html" >Synopsis::PTree::EnumSpec</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#45">Synopsis/PTree/TypeVisitor.hh:45</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#133">Synopsis/PTree/Visitor.hh:133</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#204">Synopsis/Parser.hh:204</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#45">Synopsis/SymbolFactory.hh:45</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#216">Synopsis/PTree/Lists.hh:216</a>: Constructor <a href="../Scopes/Synopsis/PTree/EnumSpec.html#EnumSpec_lNode_S_r" >EnumSpec&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#217">Synopsis/PTree/Lists.hh:217</a>: Member function <a href="../Scopes/Synopsis/PTree/EnumSpec.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#218">Synopsis/PTree/Lists.hh:218</a>: Member function <a href="../Scopes/Synopsis/PTree/EnumSpec.html#encoded_name_l_rconst" >encoded_name&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#219">Synopsis/PTree/Lists.hh:219</a>: Member function <a href="../Scopes/Synopsis/PTree/EnumSpec.html#set_encoded_name_lconst.Encoding_A_r" >set_encoded_name&#40;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#221">Synopsis/PTree/Lists.hh:221</a>: Data member <a href="../Scopes/Synopsis/PTree/EnumSpec.html#my_name" >my_name</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEnumSpec_mEnumSpec_lNode_S_r" /><h2 >Constructor Synopsis::PTree::EnumSpec::EnumSpec&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/EnumSpec.html#EnumSpec_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#216">Synopsis/PTree/Lists.hh:216</a>: in class <a href="../Scopes/Synopsis/PTree/EnumSpec.html" >Synopsis::PTree::EnumSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEnumSpec_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::EnumSpec::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/EnumSpec.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#217">Synopsis/PTree/Lists.hh:217</a>: in class <a href="../Scopes/Synopsis/PTree/EnumSpec.html" >Synopsis::PTree::EnumSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEnumSpec_mencoded_name_l_rconst" /><h2 >Member function Synopsis::PTree::EnumSpec::encoded_name&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/EnumSpec.html#encoded_name_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#218">Synopsis/PTree/Lists.hh:218</a>: in class <a href="../Scopes/Synopsis/PTree/EnumSpec.html" >Synopsis::PTree::EnumSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEnumSpec_mmy_name" /><h2 >Data member Synopsis::PTree::EnumSpec::my_name</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/EnumSpec.html#my_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#221">Synopsis/PTree/Lists.hh:221</a>: in class <a href="../Scopes/Synopsis/PTree/EnumSpec.html" >Synopsis::PTree::EnumSpec</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#218">Synopsis/PTree/Lists.hh:218</a>: in member function <a href="../Scopes/Synopsis/PTree/EnumSpec.html#encoded_name_l_rconst" >Synopsis::PTree::EnumSpec::encoded_name&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#219">Synopsis/PTree/Lists.hh:219</a>: in member function <a href="../Scopes/Synopsis/PTree/EnumSpec.html#set_encoded_name_lconst.Encoding_A_r" >Synopsis::PTree::EnumSpec::set_encoded_name&#40;const Encoding&amp;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEnumSpec_mset_encoded_name_lconst.Encoding_A_r" /><h2 >Member function Synopsis::PTree::EnumSpec::set_encoded_name&#40;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/EnumSpec.html#set_encoded_name_lconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#219">Synopsis/PTree/Lists.hh:219</a>: in class <a href="../Scopes/Synopsis/PTree/EnumSpec.html" >Synopsis::PTree::EnumSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mExprStatement" /><h2 >Class Synopsis::PTree::ExprStatement</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ExprStatement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#348">Synopsis/PTree/Lists.hh:348</a>: in class <a href="../Scopes/Synopsis/PTree/ExprStatement.html" >Synopsis::PTree::ExprStatement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#348">Synopsis/PTree/Lists.hh:348</a>: in class <a href="../Scopes/Synopsis/PTree/ExprStatement.html" >Synopsis::PTree::ExprStatement</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#63">Synopsis/PTree/TypeVisitor.hh:63</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#165">Synopsis/PTree/Visitor.hh:165</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#351">Synopsis/PTree/Lists.hh:351</a>: Constructor <a href="../Scopes/Synopsis/PTree/ExprStatement.html#ExprStatement_lNode_S_cNode_S_r" >ExprStatement&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mExprStatement_mExprStatement_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ExprStatement::ExprStatement&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ExprStatement.html#ExprStatement_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#351">Synopsis/PTree/Lists.hh:351</a>: in class <a href="../Scopes/Synopsis/PTree/ExprStatement.html" >Synopsis::PTree::ExprStatement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mExpression" /><h2 >Class Synopsis::PTree::Expression</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Expression.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#354">Synopsis/PTree/Lists.hh:354</a>: in class <a href="../Scopes/Synopsis/PTree/Expression.html" >Synopsis::PTree::Expression</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#64">Synopsis/PTree/TypeVisitor.hh:64</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#167">Synopsis/PTree/Visitor.hh:167</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#357">Synopsis/PTree/Lists.hh:357</a>: Constructor <a href="../Scopes/Synopsis/PTree/Expression.html#Expression_lNode_S_cNode_S_r" >Expression&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#358">Synopsis/PTree/Lists.hh:358</a>: Member function <a href="../Scopes/Synopsis/PTree/Expression.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mExpression_mExpression_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::Expression::Expression&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Expression.html#Expression_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#357">Synopsis/PTree/Lists.hh:357</a>: in class <a href="../Scopes/Synopsis/PTree/Expression.html" >Synopsis::PTree::Expression</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mExpression_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::Expression::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Expression.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#358">Synopsis/PTree/Lists.hh:358</a>: in class <a href="../Scopes/Synopsis/PTree/Expression.html" >Synopsis::PTree::Expression</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mExpressionT" /><h2 >Class Synopsis::PTree::ExpressionT</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ExpressionT.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#362">Synopsis/PTree/Lists.hh:362</a>: in class <a href="../Scopes/Synopsis/PTree/ExpressionT.html" >Synopsis::PTree::ExpressionT</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#369">Synopsis/PTree/Lists.hh:369</a>: in class <a href="../Scopes/Synopsis/PTree/AssignExpr.html" >Synopsis::PTree::AssignExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#375">Synopsis/PTree/Lists.hh:375</a>: in class <a href="../Scopes/Synopsis/PTree/CondExpr.html" >Synopsis::PTree::CondExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#381">Synopsis/PTree/Lists.hh:381</a>: in class <a href="../Scopes/Synopsis/PTree/InfixExpr.html" >Synopsis::PTree::InfixExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#387">Synopsis/PTree/Lists.hh:387</a>: in class <a href="../Scopes/Synopsis/PTree/PmExpr.html" >Synopsis::PTree::PmExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#393">Synopsis/PTree/Lists.hh:393</a>: in class <a href="../Scopes/Synopsis/PTree/CastExpr.html" >Synopsis::PTree::CastExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#399">Synopsis/PTree/Lists.hh:399</a>: in class <a href="../Scopes/Synopsis/PTree/UnaryExpr.html" >Synopsis::PTree::UnaryExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#405">Synopsis/PTree/Lists.hh:405</a>: in class <a href="../Scopes/Synopsis/PTree/ThrowExpr.html" >Synopsis::PTree::ThrowExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#411">Synopsis/PTree/Lists.hh:411</a>: in class <a href="../Scopes/Synopsis/PTree/SizeofExpr.html" >Synopsis::PTree::SizeofExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#417">Synopsis/PTree/Lists.hh:417</a>: in class <a href="../Scopes/Synopsis/PTree/OffsetofExpr.html" >Synopsis::PTree::OffsetofExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#423">Synopsis/PTree/Lists.hh:423</a>: in class <a href="../Scopes/Synopsis/PTree/TypeidExpr.html" >Synopsis::PTree::TypeidExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#429">Synopsis/PTree/Lists.hh:429</a>: in class <a href="../Scopes/Synopsis/PTree/TypeofExpr.html" >Synopsis::PTree::TypeofExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#435">Synopsis/PTree/Lists.hh:435</a>: in class <a href="../Scopes/Synopsis/PTree/NewExpr.html" >Synopsis::PTree::NewExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#441">Synopsis/PTree/Lists.hh:441</a>: in class <a href="../Scopes/Synopsis/PTree/DeleteExpr.html" >Synopsis::PTree::DeleteExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#447">Synopsis/PTree/Lists.hh:447</a>: in class <a href="../Scopes/Synopsis/PTree/ArrayExpr.html" >Synopsis::PTree::ArrayExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#453">Synopsis/PTree/Lists.hh:453</a>: in class <a href="../Scopes/Synopsis/PTree/FuncallExpr.html" >Synopsis::PTree::FuncallExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#459">Synopsis/PTree/Lists.hh:459</a>: in class <a href="../Scopes/Synopsis/PTree/PostfixExpr.html" >Synopsis::PTree::PostfixExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#465">Synopsis/PTree/Lists.hh:465</a>: in class <a href="../Scopes/Synopsis/PTree/UserStatementExpr.html" >Synopsis::PTree::UserStatementExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#471">Synopsis/PTree/Lists.hh:471</a>: in class <a href="../Scopes/Synopsis/PTree/DotMemberExpr.html" >Synopsis::PTree::DotMemberExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#477">Synopsis/PTree/Lists.hh:477</a>: in class <a href="../Scopes/Synopsis/PTree/ArrowMemberExpr.html" >Synopsis::PTree::ArrowMemberExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#483">Synopsis/PTree/Lists.hh:483</a>: in class <a href="../Scopes/Synopsis/PTree/ParenExpr.html" >Synopsis::PTree::ParenExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#489">Synopsis/PTree/Lists.hh:489</a>: in class <a href="../Scopes/Synopsis/PTree/StaticUserStatementExpr.html" >Synopsis::PTree::StaticUserStatementExpr</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#365">Synopsis/PTree/Lists.hh:365</a>: Constructor <a href="../Scopes/Synopsis/PTree/ExpressionT.html#ExpressionT_lNode_S_cNode_S_r" >ExpressionT&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#366">Synopsis/PTree/Lists.hh:366</a>: Member function <a href="../Scopes/Synopsis/PTree/ExpressionT.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mExpressionT_mExpressionT_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ExpressionT::ExpressionT&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ExpressionT.html#ExpressionT_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#365">Synopsis/PTree/Lists.hh:365</a>: in class <a href="../Scopes/Synopsis/PTree/ExpressionT.html" >Synopsis::PTree::ExpressionT</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mExpressionT_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::ExpressionT::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ExpressionT.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#366">Synopsis/PTree/Lists.hh:366</a>: in class <a href="../Scopes/Synopsis/PTree/ExpressionT.html" >Synopsis::PTree::ExpressionT</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mExternTemplate" /><h2 >Class Synopsis::PTree::ExternTemplate</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ExternTemplate.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#58">Synopsis/PTree/Lists.hh:58</a>: in class <a href="../Scopes/Synopsis/PTree/ExternTemplate.html" >Synopsis::PTree::ExternTemplate</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#32">Synopsis/PTree/TypeVisitor.hh:32</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#96">Synopsis/PTree/Visitor.hh:96</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#61">Synopsis/PTree/Lists.hh:61</a>: Constructor <a href="../Scopes/Synopsis/PTree/ExternTemplate.html#ExternTemplate_lNode_S_cNode_S_r" >ExternTemplate&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#62">Synopsis/PTree/Lists.hh:62</a>: Constructor <a href="../Scopes/Synopsis/PTree/ExternTemplate.html#ExternTemplate_lNode_S_r" >ExternTemplate&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#63">Synopsis/PTree/Lists.hh:63</a>: Member function <a href="../Scopes/Synopsis/PTree/ExternTemplate.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mExternTemplate_mExternTemplate_lNode_S_r" /><h2 >Constructor Synopsis::PTree::ExternTemplate::ExternTemplate&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ExternTemplate.html#ExternTemplate_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#62">Synopsis/PTree/Lists.hh:62</a>: in class <a href="../Scopes/Synopsis/PTree/ExternTemplate.html" >Synopsis::PTree::ExternTemplate</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mExternTemplate_mExternTemplate_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ExternTemplate::ExternTemplate&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ExternTemplate.html#ExternTemplate_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#61">Synopsis/PTree/Lists.hh:61</a>: in class <a href="../Scopes/Synopsis/PTree/ExternTemplate.html" >Synopsis::PTree::ExternTemplate</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mExternTemplate_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::ExternTemplate::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ExternTemplate.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#63">Synopsis/PTree/Lists.hh:63</a>: in class <a href="../Scopes/Synopsis/PTree/ExternTemplate.html" >Synopsis::PTree::ExternTemplate</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mForStatement" /><h2 >Class Synopsis::PTree::ForStatement</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ForStatement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#294">Synopsis/PTree/Lists.hh:294</a>: in class <a href="../Scopes/Synopsis/PTree/ForStatement.html" >Synopsis::PTree::ForStatement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#294">Synopsis/PTree/Lists.hh:294</a>: in class <a href="../Scopes/Synopsis/PTree/ForStatement.html" >Synopsis::PTree::ForStatement</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#54">Synopsis/PTree/TypeVisitor.hh:54</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#152">Synopsis/PTree/Visitor.hh:152</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#297">Synopsis/PTree/Lists.hh:297</a>: Constructor <a href="../Scopes/Synopsis/PTree/ForStatement.html#ForStatement_lNode_S_cNode_S_r" >ForStatement&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mForStatement_mForStatement_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ForStatement::ForStatement&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ForStatement.html#ForStatement_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#297">Synopsis/PTree/Lists.hh:297</a>: in class <a href="../Scopes/Synopsis/PTree/ForStatement.html" >Synopsis::PTree::ForStatement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mFstyleCastExpr" /><h2 >Class Synopsis::PTree::FstyleCastExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#184">Synopsis/PTree/Lists.hh:184</a>: in class <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html" >Synopsis::PTree::FstyleCastExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#36">Synopsis/PTree/Display.hh:36</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#43">Synopsis/PTree/TypeVisitor.hh:43</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#130">Synopsis/PTree/Visitor.hh:130</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#31">Synopsis/TypeAnalysis/ConstEvaluator.hh:31</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#33">Synopsis/TypeAnalysis/TypeEvaluator.hh:33</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#187">Synopsis/PTree/Lists.hh:187</a>: Constructor <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html#FstyleCastExpr_lconst.Encoding_A_cNode_S_cNode_S_r" >FstyleCastExpr&#40;const Encoding&amp;&#44;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#188">Synopsis/PTree/Lists.hh:188</a>: Member function <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#189">Synopsis/PTree/Lists.hh:189</a>: Member function <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html#encoded_type_l_rconst" >encoded_type&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#191">Synopsis/PTree/Lists.hh:191</a>: Data member <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html#my_type" >my_type</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mFstyleCastExpr_mFstyleCastExpr_lconst.Encoding_A_cNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::FstyleCastExpr::FstyleCastExpr&#40;const Encoding&amp;&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html#FstyleCastExpr_lconst.Encoding_A_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#187">Synopsis/PTree/Lists.hh:187</a>: in class <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html" >Synopsis::PTree::FstyleCastExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mFstyleCastExpr_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::FstyleCastExpr::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#188">Synopsis/PTree/Lists.hh:188</a>: in class <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html" >Synopsis::PTree::FstyleCastExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mFstyleCastExpr_mencoded_type_l_rconst" /><h2 >Member function Synopsis::PTree::FstyleCastExpr::encoded_type&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html#encoded_type_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#189">Synopsis/PTree/Lists.hh:189</a>: in class <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html" >Synopsis::PTree::FstyleCastExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mFstyleCastExpr_mmy_type" /><h2 >Data member Synopsis::PTree::FstyleCastExpr::my_type</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html#my_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#191">Synopsis/PTree/Lists.hh:191</a>: in class <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html" >Synopsis::PTree::FstyleCastExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#189">Synopsis/PTree/Lists.hh:189</a>: in member function <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html#encoded_type_l_rconst" >Synopsis::PTree::FstyleCastExpr::encoded_type&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mFuncallExpr" /><h2 >Class Synopsis::PTree::FuncallExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/FuncallExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#453">Synopsis/PTree/Lists.hh:453</a>: in class <a href="../Scopes/Synopsis/PTree/FuncallExpr.html" >Synopsis::PTree::FuncallExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#453">Synopsis/PTree/Lists.hh:453</a>: in class <a href="../Scopes/Synopsis/PTree/FuncallExpr.html" >Synopsis::PTree::FuncallExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#78">Synopsis/PTree/TypeVisitor.hh:78</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#191">Synopsis/PTree/Visitor.hh:191</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/OverloadResolver.hh.html#19">Synopsis/TypeAnalysis/OverloadResolver.hh:19</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#47">Synopsis/TypeAnalysis/TypeEvaluator.hh:47</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#456">Synopsis/PTree/Lists.hh:456</a>: Constructor <a href="../Scopes/Synopsis/PTree/FuncallExpr.html#FuncallExpr_lNode_S_cNode_S_r" >FuncallExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mFuncallExpr_mFuncallExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::FuncallExpr::FuncallExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/FuncallExpr.html#FuncallExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#456">Synopsis/PTree/Lists.hh:456</a>: in class <a href="../Scopes/Synopsis/PTree/FuncallExpr.html" >Synopsis::PTree::FuncallExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mFunctionDefinition" /><h2 >Class Synopsis::PTree::FunctionDefinition</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/FunctionDefinition.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#133">Synopsis/PTree/Lists.hh:133</a>: in class <a href="../Scopes/Synopsis/PTree/FunctionDefinition.html" >Synopsis::PTree::FunctionDefinition</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#114">Synopsis/PTree/Visitor.hh:114</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#37">Synopsis/SymbolFactory.hh:37</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#33">Synopsis/SymbolLookup/Walker.hh:33</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#45">Synopsis/SymbolLookup/Walker.hh:45</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#136">Synopsis/PTree/Lists.hh:136</a>: Constructor <a href="../Scopes/Synopsis/PTree/FunctionDefinition.html#FunctionDefinition_lNode_S_cNode_S_r" >FunctionDefinition&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#137">Synopsis/PTree/Lists.hh:137</a>: Member function <a href="../Scopes/Synopsis/PTree/FunctionDefinition.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
